Bug 9910 - PIE builds not supported
PIE builds not supported
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 13:26 UTC by David Disseldorp
Modified: 2013-05-30 10:32 UTC (History)
0 users

See Also:


Attachments
proposed patch for 4.0.next (5.95 KB, patch)
2013-05-28 13:41 UTC, David Disseldorp
ddiss: review? (asn)
ab: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2013-05-28 13:26:45 UTC
This bug will track the inclusion of Waf build support for Position Independent Executables in Samba 4.0.x.

Support is currently in Master with d47c1245788505cfaca9a25c855a2503c83e4315 and 4e76a77f622f1fa30a8ae1e011d87fc9754e1b85.
Comment 1 David Disseldorp 2013-05-28 13:41:52 UTC
Created attachment 8928 [details]
proposed patch for 4.0.next
Comment 2 Alexander Bokovoy 2013-05-29 15:11:19 UTC
Comment on attachment 8928 [details]
proposed patch for 4.0.next

Works fine, thanks!
Comment 3 Karolin Seeger 2013-05-30 07:49:21 UTC
Pushed to autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-05-30 10:32:32 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!